aboutsummaryrefslogtreecommitdiffstats
path: root/rc.local-hook
diff options
context:
space:
mode:
Diffstat (limited to 'rc.local-hook')
-rwxr-xr-xrc.local-hook20
1 files changed, 20 insertions, 0 deletions
diff --git a/rc.local-hook b/rc.local-hook
new file mode 100755
index 0000000..694aaad
--- /dev/null
+++ b/rc.local-hook
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+cd /rw/config/qubes-vpn-exclude
+
+mkdir -p /lib/systemd/system/dnsmasq.service.d
+cp dnsmasq.service.d/* /lib/systemd/system/dnsmasq.service.d
+
+mkdir -p /lib/systemd/system/qubes-firewall.service.d
+cp qubes-firewall.service.d/* /lib/systemd/system/qubes-firewall.service.d
+
+ln -s -f $PWD/qubes-firewall.d/95-qubes-vpn-exclude /rw/config/qubes-firewall.d/95-qubes-vpn-exclude
+chmod +x /rw/config/qubes-firewall.d/*
+
+systemctl daemon-reload
+systemctl enable dnsmasq.service
+systemctl restart qubes-firewall.service
+
+sync

Code dump for some of my projects as well as a mirror for other random or interesting projects. You can find my site at jimmy.axenhus.com